﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.IO;
using System.Diagnostics;

namespace WindowsFormsApplication2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            layout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;

            UltraGridBand band = layout.Bands[0];
            band.SortedColumns.Add("Column 0", false, true);

            band.Summaries.Add( SummaryType.Maximum, band.Columns["Column 1"]);

            band.RowLayoutStyle = RowLayoutStyle.ColumnLayout;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string fileName = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "x.xls");
            this.ultraGridExcelExporter1.Export(this.ultraGrid1, fileName);
            Process.Start(fileName);
        }
    }
}
